package com.qmth.sop.common.enums;

/**
 * @Description: sop执行 角色类型枚举
 * @Author: CaoZixuan
 * @Date: 2024-05-14
 */
public enum SopRoleTypeEnum {
    REGION_COORDINATOR("区域协调人", new RoleTypeEnum[] {RoleTypeEnum.REGION_COORDINATOR}),
    PROJECT_MANAGER("项目经理", new RoleTypeEnum[] { RoleTypeEnum.REGION_MANAGER, RoleTypeEnum.REGION_COORDINATOR,
            RoleTypeEnum.EFFECT_ENGINEER, RoleTypeEnum.ASSISTANT_ENGINEER }),
    ENGINEER("工程师", new RoleTypeEnum[] { RoleTypeEnum.REGION_MANAGER, RoleTypeEnum.REGION_COORDINATOR,
            RoleTypeEnum.EFFECT_ENGINEER, RoleTypeEnum.ASSISTANT_ENGINEER });

    private final String title;

    // 可选择的用户所属角色类型
    private final RoleTypeEnum[] roleTypes;

    SopRoleTypeEnum(String title, RoleTypeEnum[] roleTypes) {
        this.title = title;
        this.roleTypes = roleTypes;
    }

    public String getTitle() {
        return title;
    }

    public RoleTypeEnum[] getRoleTypes() {
        return roleTypes;
    }
}
